Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gameaction
Class RunAnimation

    java.lang.Object
      gameaction.AbstractGameAction
          gameaction.RunAnimation

All Implemented Interfaces:
  java.io.Serializable

    public class RunAnimation

extends AbstractGameAction

This game action can be used to run an animation sequence specified by an image containing the sequence

Author:
  Frank Bruns
See Also:
  Serialized Form

Constructor Summary
`RunAnimation(AbstractCharacterSprite c, java.lang.String animImgPath, int rows, int picsPerRow)` Creates a new game action for running an animation
`RunAnimation(AbstractCharacterSprite c, java.lang.String animImgPath, int rows, int picsPerRow, int numRepeats)` Creates a new game action for running an animation

Method Summary
`void` | `update(long elapsedTime)` Updates the game action

Methods inherited from class gameaction.AbstractGameAction
`getCharacter, isSecondMethodCall`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RunAnimation

    public RunAnimation(AbstractCharacterSprite c,
                        java.lang.String animImgPath,
                        int rows,
                        int picsPerRow)

  Creates a new game action for running an animation

  Parameters:
    `c` - character to use the animation for
    `animImgPath` - path+filename to the anim sequence image
    `rows` - number of rows in the anim sequence image
    `picsPerRow` - number of pics per row of the anim image

### RunAnimation

    public RunAnimation(AbstractCharacterSprite c,
                        java.lang.String animImgPath,
                        int rows,
                        int picsPerRow,
                        int numRepeats)

  Creates a new game action for running an animation

  Parameters:
    `c` - character to use the animation for
    `animImgPath` - path+filename to the anim sequence image
    `rows` - number of rows in the anim sequence image
    `picsPerRow` - number of pics per row of the anim image
    `numRepeats` - number of times the animation ought to be played in immediate repetition

Method Detail

### update

    public void update(long elapsedTime)

  Description copied from class: `AbstractGameAction`
  Updates the game action

  Specified by:
    `update` in class `AbstractGameAction`
  Parameters:
    `elapsedTime` - time between two frames

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD